
function getAllTextures inputMaterials =
(
 local allTextures = #();
 for eachMat in inputMaterials do
 (
  format "-- Material: %\n" eachMat.name;
  for i = 1 to (getNumSubTexmaps eachMat) do
  (
   try ( if (getNumSubTexmaps (getSubTexmap eachMat i)) != 0 then
   (
    join allTextures (getAllTextures #((getSubTexmap eachMat i)));
   )
   ) catch ();
   
   dirtclassid=#(794196121,151871140) as string

   tempTex = (getSubTexmap eachMat i)
   if ( tempTex != undefined and tempTex.classid as string == dirtclassid ) then
   (
    append allTextures (tempTex);
    format "---- Texture: \"%\"\n" (getSubTexmap eachMat i);
   );
  );
 );
 return allTextures;
);

function setSubdivs inputTex newsubdivs =
(
 for eachTex in inputTex do
 (
  eachTex.subdivs=newsubdivs
 )
)